WinNT.WELL_KNOWN_SID_TYPE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: WELL_KNOWN_SID_TYPE

Package com.sun.jna.platform.win32

# Class WinNT.WELL_KNOWN_SID_TYPE

java.lang.Object
com.sun.jna.platform.win32.WinNT.WELL_KNOWN_SID_TYPE

Enclosing interface:
  WinNT

public abstract static class WinNT.WELL_KNOWN_SID_TYPE extends Object
The WELL_KNOWN_SID_TYPE enumeration type is a list of commonly used security identifiers (SIDs). Programs can pass these values to the CreateWellKnownSid function to create a SID from this list.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `WinAccountAdministratorSid`
  Indicates a SID that matches the account administrators group.
  `static final int`
  `WinAccountCertAdminsSid`
  Indicates a SID that matches the certificate administrators group.
  `static final int`
  `WinAccountComputersSid`
  Indicates a SID that matches the account computer group.
  `static final int`
  `WinAccountControllersSid`
  Indicates a SID that matches the account controller group.
  `static final int`
  `WinAccountDomainAdminsSid`
  Indicates a SID that matches the account domain administrator group.
  `static final int`
  `WinAccountDomainGuestsSid`
  Indicates a SID that matches the account domain guests group.
  `static final int`
  `WinAccountDomainUsersSid`
  Indicates a SID that matches the account domain users group.
  `static final int`
  `WinAccountEnterpriseAdminsSid`
  Indicates a SID that matches the enterprise administrators group.
  `static final int`
  `WinAccountGuestSid`
  Indicates a SID that matches the account guest group.
  `static final int`
  `WinAccountKrbtgtSid`
  Indicates a SID that matches account Kerberos target group.
  `static final int`
  `WinAccountPolicyAdminsSid`
  Indicates a SID that matches the policy administrators group.
  `static final int`
  `WinAccountRasAndIasServersSid`
  Indicates a SID that matches the RAS and IAS server account.
  `static final int`
  `WinAccountReadonlyControllersSid`
  Indicates a SID that matches a read-only enterprise domain controller.
  `static final int`
  `WinAccountSchemaAdminsSid`
  Indicates a SID that matches the schema administrators group.
  `static final int`
  `WinAnonymousSid`
  Indicates a SID for the anonymous account.
  `static final int`
  `WinAuthenticatedUserSid`
  Indicates a SID that matches any authenticated user.
  `static final int`
  `WinBatchSid`
  Indicates a SID for a batch process.
  `static final int`
  `WinBuiltinAccountOperatorsSid`
  Indicates a SID that matches the account operators account.
  `static final int`
  `WinBuiltinAdministratorsSid`
  Indicates a SID that matches the administrator account.
  `static final int`
  `WinBuiltinAuthorizationAccessSid`
  Indicates a SID that matches the Windows Authorization Access group.
  `static final int`
  `WinBuiltinBackupOperatorsSid`
  Indicates a SID that matches the backup operators group.
  `static final int`
  `WinBuiltinCryptoOperatorsSid`
  `static final int`
  `WinBuiltinDCOMUsersSid`
  `static final int`
  `WinBuiltinDomainSid`
  Indicates a SID that matches the domain account.
  `static final int`
  `WinBuiltinEventLogReadersGroup`
  Indicates a SID that matches the built-in DCOM certification services access group.
  `static final int`
  `WinBuiltinGuestsSid`
  Indicates a SID that matches the guest account.
  `static final int`
  `WinBuiltinIncomingForestTrustBuildersSid`
  Indicates a SID that allows a user to create incoming forest trusts.
  `static final int`
  `WinBuiltinIUsersSid`
  `static final int`
  `WinBuiltinNetworkConfigurationOperatorsSid`
  Indicates a SID that matches the network operators group.
  `static final int`
  `WinBuiltinPerfLoggingUsersSid`
  Indicates a SID that matches the performance log user group.
  `static final int`
  `WinBuiltinPerfMonitoringUsersSid`
  Indicates a SID that matches the performance monitor user group.
  `static final int`
  `WinBuiltinPowerUsersSid`
  Indicates a SID that matches the power users group.
  `static final int`
  `WinBuiltinPreWindows2000CompatibleAccessSid`
  Indicates a SID that matches pre-Windows 2000 compatible accounts.
  `static final int`
  `WinBuiltinPrintOperatorsSid`
  Indicates a SID that matches the print operators group.
  `static final int`
  `WinBuiltinRemoteDesktopUsersSid`
  Indicates a SID that matches remote desktop users.
  `static final int`
  `WinBuiltinReplicatorSid`
  Indicates a SID that matches the replicator account.
  `static final int`
  `WinBuiltinSystemOperatorsSid`
  Indicates a SID that matches the system operators group.
  `static final int`
  `WinBuiltinTerminalServerLicenseServersSid`
  Indicates a SID is present in a server that can issue Terminal Server licenses.
  `static final int`
  `WinBuiltinUsersSid`
  Indicates a SID that matches built-in user accounts.
  `static final int`
  `WinCacheablePrincipalsGroupSid`
  `static final int`
  `WinCreatorGroupServerSid`
  Indicates a creator group server SID.
  `static final int`
  `WinCreatorGroupSid`
  Indicates a SID that matches the creator group of an object.
  `static final int`
  `WinCreatorOwnerRightsSid`
  `static final int`
  `WinCreatorOwnerServerSid`
  Indicates a creator owner server SID.
  `static final int`
  `WinCreatorOwnerSid`
  Indicates a SID that matches the owner or creator of an object.
  `static final int`
  `WinDialupSid`
  Indicates a SID for a dial-up account.
  `static final int`
  `WinDigestAuthenticationSid`
  Indicates a SID present when the Microsoft Digest authentication package authenticated the client.
  `static final int`
  `WinEnterpriseControllersSid`
  Indicates a SID for an enterprise controller.
  `static final int`
  `WinEnterpriseReadonlyControllersSid`
  `static final int`
  `WinHighLabelSid`
  `static final int`
  `WinInteractiveSid`
  Indicates a SID for an interactive account.
  `static final int`
  `WinIUserSid`
  `static final int`
  `WinLocalServiceSid`
  Indicates a SID that matches a local service.
  `static final int`
  `WinLocalSid`
  Indicates a local SID.
  `static final int`
  `WinLocalSystemSid`
  Indicates a SID that matches the local system.
  `static final int`
  `WinLogonIdsSid`
  Indicates a SID that matches logon IDs.
  `static final int`
  `WinLowLabelSid`
  `static final int`
  `WinMediumLabelSid`
  `static final int`
  `WinNetworkServiceSid`
  Indicates a SID that matches a network service.
  `static final int`
  `WinNetworkSid`
  Indicates a SID for a network account.
  `static final int`
  `WinNonCacheablePrincipalsGroupSid`
  `static final int`
  `WinNtAuthoritySid`
  Indicates a SID for the Windows NT authority.
  `static final int`
  `WinNTLMAuthenticationSid`
  Indicates a SID present when the Microsoft NTLM authentication package authenticated the client.
  `static final int`
  `WinNullSid`
  Indicates a null SID.
  `static final int`
  `WinOtherOrganizationSid`
  Indicates a SID present when the user authenticated across a forest with the selective authentication option enabled.
  `static final int`
  `WinProxySid`
  Indicates a proxy SID.
  `static final int`
  `WinRemoteLogonIdSid`
  Indicates a SID that matches remote logons.
  `static final int`
  `WinRestrictedCodeSid`
  Indicates a SID for restricted code.
  `static final int`
  `WinSChannelAuthenticationSid`
  Indicates a SID present when the Secure Channel (SSL/TLS) authentication package authenticated the client.
  `static final int`
  `WinSelfSid`
  Indicates a SID for self.
  `static final int`
  `WinServiceSid`
  Indicates a SID for a service.
  `static final int`
  `WinSystemLabelSid`
  `static final int`
  `WinTerminalServerSid`
  Indicates a SID that matches a terminal server account.
  `static final int`
  `WinThisOrganizationSid`
  Indicates a SID present when the user authenticated from within the forest or across a trust that does not have the selective authentication option enabled.
  `static final int`
  `WinUntrustedLabelSid`
  `static final int`
  `WinWorldSid`
  Indicates a SID that matches everyone.
  `static final int`
  `WinWriteRestrictedCodeSid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WELL_KNOWN_SID_TYPE()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WinNullSid

    public static final int WinNullSid
    Indicates a null SID.
    See Also:
      - Constant Field Values

  - ### WinWorldSid

    public static final int WinWorldSid
    Indicates a SID that matches everyone.
    See Also:
      - Constant Field Values

  - ### WinLocalSid

    public static final int WinLocalSid
    Indicates a local SID.
    See Also:
      - Constant Field Values

  - ### WinCreatorOwnerSid

    public static final int WinCreatorOwnerSid
    Indicates a SID that matches the owner or creator of an object.
    See Also:
      - Constant Field Values

  - ### WinCreatorGroupSid

    public static final int WinCreatorGroupSid
    Indicates a SID that matches the creator group of an object.
    See Also:
      - Constant Field Values

  - ### WinCreatorOwnerServerSid

    public static final int WinCreatorOwnerServerSid
    Indicates a creator owner server SID.
    See Also:
      - Constant Field Values

  - ### WinCreatorGroupServerSid

    public static final int WinCreatorGroupServerSid
    Indicates a creator group server SID.
    See Also:
      - Constant Field Values

  - ### WinNtAuthoritySid

    public static final int WinNtAuthoritySid
    Indicates a SID for the Windows NT authority.
    See Also:
      - Constant Field Values

  - ### WinDialupSid

    public static final int WinDialupSid
    Indicates a SID for a dial-up account.
    See Also:
      - Constant Field Values

  - ### WinNetworkSid

    public static final int WinNetworkSid
    Indicates a SID for a network account. This SID is added to the process of a token when it logs on across a network. The corresponding logon type is LOGON32_LOGON_NETWORK.
    See Also:
      - Constant Field Values

  - ### WinBatchSid

    public static final int WinBatchSid
    Indicates a SID for a batch process. This SID is added to the process of a token when it logs on as a batch job. The corresponding logon type is LOGON32_LOGON_BATCH.
    See Also:
      - Constant Field Values

  - ### WinInteractiveSid

    public static final int WinInteractiveSid
    Indicates a SID for an interactive account. This SID is added to the process of a token when it logs on interactively. The corresponding logon type is LOGON32_LOGON_INTERACTIVE.
    See Also:
      - Constant Field Values

  - ### WinServiceSid

    public static final int WinServiceSid
    Indicates a SID for a service. This SID is added to the process of a token when it logs on as a service. The corresponding logon type is LOGON32_LOGON_bSERVICE.
    See Also:
      - Constant Field Values

  - ### WinAnonymousSid

    public static final int WinAnonymousSid
    Indicates a SID for the anonymous account.
    See Also:
      - Constant Field Values

  - ### WinProxySid

    public static final int WinProxySid
    Indicates a proxy SID.
    See Also:
      - Constant Field Values

  - ### WinEnterpriseControllersSid

    public static final int WinEnterpriseControllersSid
    Indicates a SID for an enterprise controller.
    See Also:
      - Constant Field Values

  - ### WinSelfSid

    public static final int WinSelfSid
    Indicates a SID for self.
    See Also:
      - Constant Field Values

  - ### WinAuthenticatedUserSid

    public static final int WinAuthenticatedUserSid
    Indicates a SID that matches any authenticated user.
    See Also:
      - Constant Field Values

  - ### WinRestrictedCodeSid

    public static final int WinRestrictedCodeSid
    Indicates a SID for restricted code.
    See Also:
      - Constant Field Values

  - ### WinTerminalServerSid

    public static final int WinTerminalServerSid
    Indicates a SID that matches a terminal server account.
    See Also:
      - Constant Field Values

  - ### WinRemoteLogonIdSid

    public static final int WinRemoteLogonIdSid
    Indicates a SID that matches remote logons.
    See Also:
      - Constant Field Values

  - ### WinLogonIdsSid

    public static final int WinLogonIdsSid
    Indicates a SID that matches logon IDs.
    See Also:
      - Constant Field Values

  - ### WinLocalSystemSid

    public static final int WinLocalSystemSid
    Indicates a SID that matches the local system.
    See Also:
      - Constant Field Values

  - ### WinLocalServiceSid

    public static final int WinLocalServiceSid
    Indicates a SID that matches a local service.
    See Also:
      - Constant Field Values

  - ### WinNetworkServiceSid

    public static final int WinNetworkServiceSid
    Indicates a SID that matches a network service.
    See Also:
      - Constant Field Values

  - ### WinBuiltinDomainSid

    public static final int WinBuiltinDomainSid
    Indicates a SID that matches the domain account.
    See Also:
      - Constant Field Values

  - ### WinBuiltinAdministratorsSid

    public static final int WinBuiltinAdministratorsSid
    Indicates a SID that matches the administrator account.
    See Also:
      - Constant Field Values

  - ### WinBuiltinUsersSid

    public static final int WinBuiltinUsersSid
    Indicates a SID that matches built-in user accounts.
    See Also:
      - Constant Field Values

  - ### WinBuiltinGuestsSid

    public static final int WinBuiltinGuestsSid
    Indicates a SID that matches the guest account.
    See Also:
      - Constant Field Values

  - ### WinBuiltinPowerUsersSid

    public static final int WinBuiltinPowerUsersSid
    Indicates a SID that matches the power users group.
    See Also:
      - Constant Field Values

  - ### WinBuiltinAccountOperatorsSid

    public static final int WinBuiltinAccountOperatorsSid
    Indicates a SID that matches the account operators account.
    See Also:
      - Constant Field Values

  - ### WinBuiltinSystemOperatorsSid

    public static final int WinBuiltinSystemOperatorsSid
    Indicates a SID that matches the system operators group.
    See Also:
      - Constant Field Values

  - ### WinBuiltinPrintOperatorsSid

    public static final int WinBuiltinPrintOperatorsSid
    Indicates a SID that matches the print operators group.
    See Also:
      - Constant Field Values

  - ### WinBuiltinBackupOperatorsSid

    public static final int WinBuiltinBackupOperatorsSid
    Indicates a SID that matches the backup operators group.
    See Also:
      - Constant Field Values

  - ### WinBuiltinReplicatorSid

    public static final int WinBuiltinReplicatorSid
    Indicates a SID that matches the replicator account.
    See Also:
      - Constant Field Values

  - ### WinBuiltinPreWindows2000CompatibleAccessSid

    public static final int WinBuiltinPreWindows2000CompatibleAccessSid
    Indicates a SID that matches pre-Windows 2000 compatible accounts.
    See Also:
      - Constant Field Values

  - ### WinBuiltinRemoteDesktopUsersSid

    public static final int WinBuiltinRemoteDesktopUsersSid
    Indicates a SID that matches remote desktop users.
    See Also:
      - Constant Field Values

  - ### WinBuiltinNetworkConfigurationOperatorsSid

    public static final int WinBuiltinNetworkConfigurationOperatorsSid
    Indicates a SID that matches the network operators group.
    See Also:
      - Constant Field Values

  - ### WinAccountAdministratorSid

    public static final int WinAccountAdministratorSid
    Indicates a SID that matches the account administrators group.
    See Also:
      - Constant Field Values

  - ### WinAccountGuestSid

    public static final int WinAccountGuestSid
    Indicates a SID that matches the account guest group.
    See Also:
      - Constant Field Values

  - ### WinAccountKrbtgtSid

    public static final int WinAccountKrbtgtSid
    Indicates a SID that matches account Kerberos target group.
    See Also:
      - Constant Field Values

  - ### WinAccountDomainAdminsSid

    public static final int WinAccountDomainAdminsSid
    Indicates a SID that matches the account domain administrator group.
    See Also:
      - Constant Field Values

  - ### WinAccountDomainUsersSid

    public static final int WinAccountDomainUsersSid
    Indicates a SID that matches the account domain users group.
    See Also:
      - Constant Field Values

  - ### WinAccountDomainGuestsSid

    public static final int WinAccountDomainGuestsSid
    Indicates a SID that matches the account domain guests group.
    See Also:
      - Constant Field Values

  - ### WinAccountComputersSid

    public static final int WinAccountComputersSid
    Indicates a SID that matches the account computer group.
    See Also:
      - Constant Field Values

  - ### WinAccountControllersSid

    public static final int WinAccountControllersSid
    Indicates a SID that matches the account controller group.
    See Also:
      - Constant Field Values

  - ### WinAccountCertAdminsSid

    public static final int WinAccountCertAdminsSid
    Indicates a SID that matches the certificate administrators group.
    See Also:
      - Constant Field Values

  - ### WinAccountSchemaAdminsSid

    public static final int WinAccountSchemaAdminsSid
    Indicates a SID that matches the schema administrators group.
    See Also:
      - Constant Field Values

  - ### WinAccountEnterpriseAdminsSid

    public static final int WinAccountEnterpriseAdminsSid
    Indicates a SID that matches the enterprise administrators group.
    See Also:
      - Constant Field Values

  - ### WinAccountPolicyAdminsSid

    public static final int WinAccountPolicyAdminsSid
    Indicates a SID that matches the policy administrators group.
    See Also:
      - Constant Field Values

  - ### WinAccountRasAndIasServersSid

    public static final int WinAccountRasAndIasServersSid
    Indicates a SID that matches the RAS and IAS server account.
    See Also:
      - Constant Field Values

  - ### WinNTLMAuthenticationSid

    public static final int WinNTLMAuthenticationSid
    Indicates a SID present when the Microsoft NTLM authentication package authenticated the client.
    See Also:
      - Constant Field Values

  - ### WinDigestAuthenticationSid

    public static final int WinDigestAuthenticationSid
    Indicates a SID present when the Microsoft Digest authentication package authenticated the client.
    See Also:
      - Constant Field Values

  - ### WinSChannelAuthenticationSid

    public static final int WinSChannelAuthenticationSid
    Indicates a SID present when the Secure Channel (SSL/TLS) authentication package authenticated the client.
    See Also:
      - Constant Field Values

  - ### WinThisOrganizationSid

    public static final int WinThisOrganizationSid
    Indicates a SID present when the user authenticated from within the forest or across a trust that does not have the selective authentication option enabled. If this SID is present, then WinOtherOrganizationSid cannot be present.
    See Also:
      - Constant Field Values

  - ### WinOtherOrganizationSid

    public static final int WinOtherOrganizationSid
    Indicates a SID present when the user authenticated across a forest with the selective authentication option enabled. If this SID is present, then WinThisOrganizationSid cannot be present.
    See Also:
      - Constant Field Values

  - ### WinBuiltinIncomingForestTrustBuildersSid

    public static final int WinBuiltinIncomingForestTrustBuildersSid
    Indicates a SID that allows a user to create incoming forest trusts. It is added to the token of users who are a member of the Incoming Forest Trust Builders built-in group in the root domain of the forest.
    See Also:
      - Constant Field Values

  - ### WinBuiltinPerfMonitoringUsersSid

    public static final int WinBuiltinPerfMonitoringUsersSid
    Indicates a SID that matches the performance monitor user group.
    See Also:
      - Constant Field Values

  - ### WinBuiltinPerfLoggingUsersSid

    public static final int WinBuiltinPerfLoggingUsersSid
    Indicates a SID that matches the performance log user group.
    See Also:
      - Constant Field Values

  - ### WinBuiltinAuthorizationAccessSid

    public static final int WinBuiltinAuthorizationAccessSid
    Indicates a SID that matches the Windows Authorization Access group.
    See Also:
      - Constant Field Values

  - ### WinBuiltinTerminalServerLicenseServersSid

    public static final int WinBuiltinTerminalServerLicenseServersSid
    Indicates a SID is present in a server that can issue Terminal Server licenses.
    See Also:
      - Constant Field Values

  - ### WinBuiltinDCOMUsersSid

    public static final int WinBuiltinDCOMUsersSid
    See Also:
      - Constant Field Values

  - ### WinBuiltinIUsersSid

    public static final int WinBuiltinIUsersSid
    See Also:
      - Constant Field Values

  - ### WinIUserSid

    public static final int WinIUserSid
    See Also:
      - Constant Field Values

  - ### WinBuiltinCryptoOperatorsSid

    public static final int WinBuiltinCryptoOperatorsSid
    See Also:
      - Constant Field Values

  - ### WinUntrustedLabelSid

    public static final int WinUntrustedLabelSid
    See Also:
      - Constant Field Values

  - ### WinLowLabelSid

    public static final int WinLowLabelSid
    See Also:
      - Constant Field Values

  - ### WinMediumLabelSid

    public static final int WinMediumLabelSid
    See Also:
      - Constant Field Values

  - ### WinHighLabelSid

    public static final int WinHighLabelSid
    See Also:
      - Constant Field Values

  - ### WinSystemLabelSid

    public static final int WinSystemLabelSid
    See Also:
      - Constant Field Values

  - ### WinWriteRestrictedCodeSid

    public static final int WinWriteRestrictedCodeSid
    See Also:
      - Constant Field Values

  - ### WinCreatorOwnerRightsSid

    public static final int WinCreatorOwnerRightsSid
    See Also:
      - Constant Field Values

  - ### WinCacheablePrincipalsGroupSid

    public static final int WinCacheablePrincipalsGroupSid
    See Also:
      - Constant Field Values

  - ### WinNonCacheablePrincipalsGroupSid

    public static final int WinNonCacheablePrincipalsGroupSid
    See Also:
      - Constant Field Values

  - ### WinEnterpriseReadonlyControllersSid

    public static final int WinEnterpriseReadonlyControllersSid
    See Also:
      - Constant Field Values

  - ### WinAccountReadonlyControllersSid

    public static final int WinAccountReadonlyControllersSid
    Indicates a SID that matches a read-only enterprise domain controller.
    See Also:
      - Constant Field Values

  - ### WinBuiltinEventLogReadersGroup

    public static final int WinBuiltinEventLogReadersGroup
    Indicates a SID that matches the built-in DCOM certification services access group.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WELL_KNOWN_SID_TYPE

    public WELL_KNOWN_SID_TYPE()